CProgressCallback Class Referenceabstract
Uncategorized

a class to provide a feedback mechanism to show progress More...

`#include <mia/core/callback.hh>`

Inheritance diagram for CProgressCallback:
[legend]

## Public Member Functions

void | pulse ()
void | set_range (int range)
void | update (int step)
virtual | ~CProgressCallback ()

## Detailed Description

a class to provide a feedback mechanism to show progress

This class is used as a base class in order to show feedback about the progress of certain operations that may take a long time. The indicator supports two modes of operation: If the number if steps is known beforehand, the indicator will act like a classical progress bar, and If the number of stels is unknown, some kind of change indicator is applied to show that "something happens".

Definition at line 41 of file callback.hh.

## Constructor & Destructor Documentation

## ~CProgressCallback()

virtual CProgressCallback::~CProgressCallback | ( |  | ) |

virtual

## Member Function Documentation

## pulse()

void CProgressCallback::pulse | ( |  | ) |

Update the progress indicator in some way to show that something is happening but without giving real target informations.

## set_range()

void CProgressCallback::set_range | ( | int | range | ) |

Set the maximum number of the possible steps some operatoion may take

Parameters

  range |

## update()

void CProgressCallback::update | ( | int | step | ) |

Update the progress indicator by using the given value - it should be less or equal to the value given in set_range().

Parameters

  step |

The documentation for this class was generated from the following file:

- callback.hh